For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETGet Connection Types
      • GETGet Connection Type
      • POSTConnection Type Parameter Values
      • GETList Connections
      • POSTCreate Connection
      • POSTConnect
      • POSTTest Connection
      • GETGet Connection
      • PUTUpdate Connection
      • DELDelete Connection
      • GETConnection Parameter Values
      • POSTExecute Connection Proxy
      • GETGet Connection Proxy Info
      • GETList Current Org Shared Connections
      • GETList Partner Shared Connections
      • POSTCreate Partner Shared Connection
Logo
Log inBook a demo
API ReferenceConnections

Get Connection Types

GET
https://app.polytomic.com/api/connection_types
GET
/api/connection_types
$curl https://app.polytomic.com/api/connection_types \
> -H "Content-Type: application/json"
1{
2 "data": [
3 {
4 "capabilities": {
5 "destination": true,
6 "enrichment": false,
7 "orchestration": false,
8 "source": true
9 },
10 "configurationForm": {
11 "jsonschema": {
12 "type": "object",
13 "properties": {
14 "host": {
15 "type": "string",
16 "description": "Database host address"
17 },
18 "port": {
19 "type": "integer",
20 "description": "Port number",
21 "minimum": 1,
22 "maximum": 65535
23 },
24 "username": {
25 "type": "string",
26 "description": "Username for authentication"
27 },
28 "password": {
29 "type": "string",
30 "description": "Password for authentication"
31 },
32 "database": {
33 "type": "string",
34 "description": "Database name"
35 }
36 },
37 "required": [
38 "host",
39 "port",
40 "username",
41 "password",
42 "database"
43 ]
44 },
45 "uischema": {
46 "password": {
47 "ui:widget": "password"
48 }
49 }
50 },
51 "envConfig": {
52 "sslmode": "require",
53 "connect_timeout": 10
54 },
55 "id": "postgresql",
56 "initialConfiguration": {
57 "host": "db.example.com",
58 "port": 5432,
59 "username": "dbuser",
60 "password": "securepassword",
61 "database": "analytics"
62 },
63 "logo_url": "https://connect-assets.polytomic.com/logos/postgresql.svg",
64 "name": "PostgreSQL",
65 "oauth_prompt": {
66 "key": "authorization_code",
67 "value": "Please authorize Polytomic to access your PostgreSQL database.",
68 "when": "on_connect"
69 },
70 "use_oauth": false
71 }
72 ]
73}
Lists all connection types supported by this deployment. Each entry includes per-type metadata: - The available operations the connection type supports. - Its category. - Whether the connection type is enabled for the caller's organization. - Which modes (source, destination, enrichment) it can act as.
Was this page helpful?

Get Connection Type

Next

Lists all connection types supported by this deployment.

Each entry includes per-type metadata:

  • The available operations the connection type supports.
  • Its category.
  • Whether the connection type is enabled for the caller’s organization.
  • Which modes (source, destination, enrichment) it can act as.

Headers

X-Polytomic-VersionstringOptional

Response

OK
datalist of objects or null

Errors

500
Internal Server Error